Bug 249371 - traceback while install from media; IOError: <urlopen error unknown url type: media> and unable to find the .hdr file.
traceback while install from media; IOError: <urlopen error unknown url type:...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test1
  Show dependency treegraph
 
Reported: 2007-07-23 23:24 EDT by Jesse Keating
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 13:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-07-23 23:24:18 EDT
When doing a media based install:

Traceback (most recent call first):
  File "/usr/lib/anaconda/yuminstall.py", line 524, in downloadHeader
    raise yum.Errors.RepoError, saved_repo_error
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 202, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/anaconda/yuminstall.py", line 588, in run
    self.populateTs(keepold=0)
  File "/usr/lib/anaconda/yuminstall.py", line 1259, in doInstall
    self.ayum.run(self.instLog, cb, anaconda.intf, anaconda.id)
  File "/usr/lib/anaconda/backend.py", line 196, in doInstall
    anaconda.backend.doInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1047, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1074, in handleRenderCallback
    self.currentWindow.renderCallback()
RepoError: failed to retrieve Fedora/evince-0.9.2-1.fc8.i386.rpm from
anaconda-base-200707231731.i386
error was [Errno 4] IOError: <urlopen error unknown url type: media>

Local variables in innermost frame:
errors: {}
e: [Errno 2] No such file or directory:
'/tmp/cache/anaconda-base-200707231731.i386/headers/evince-0.9.2-1.fc8.i386.hdr'
self: <yuminstall.AnacondaYum object at 0x927b4ac>
saved_repo_error: failed to retrieve Fedora/evince-0.9.2-1.fc8.i386.rpm from
anaconda-base-200707231731.i386
error was [Errno 4] IOError: <urlopen error unknown url type: media>
repo: anaconda-base-200707231731.i386
checkfunc: (<bound method AnacondaYum.verifyHeader of <yuminstall.AnacondaYum
object at 0x927b4ac>>, (<yum.sqlitesack.YumAvailablePackageSqlite object at
0xa03374c>, 1), {})
local:
/tmp/cache/anaconda-base-200707231731.i386/headers/evince-0.9.2-1.fc8.i386.hdr
po: evince - 0.9.2-1.fc8.i386

I thought we weren't getting header files anymore....

anaconda version is anaconda-11.3.0.8-1
Comment 1 Seth Vidal 2007-07-23 23:41:32 EDT
anaconda requires headers, iirc. b/c it has to do:

download
install
download
install

so in order to be able to a test transaction it needs the headers, iirc.

Jeremy can correct me about this, though
Comment 2 Jeremy Katz 2007-07-25 13:12:08 EDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.